Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\SortClauseHandler\Field Class Reference

Content locator gateway implementation using the DoctrineDatabase. More...

Inheritance diagram for eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\SortClauseHandler\Field:

## Public Member Functions
| __construct (DatabaseHandler $dbHandler, LanguageHandler $languageHandler, ContentTypeHandler $contentTypeHandler)
| Creates a new Field sort clause handler. More...
| accept (SortClause $sortClause)
| Check if this sort clause handler accepts to handle the given sort clause. More...
| applySelect (SelectQuery $query, SortClause $sortClause, $number)
| Apply selects to the query. More...
Public Member Functions inherited from eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\SortClauseHandler
| __construct (DatabaseHandler $dbHandler)
| Creates a new sort clause handler. More...
| applyJoin (SelectQuery $query, SortClause $sortClause, $number, array $languageSettings)
| Applies joins to the query. More...

## Protected Member Functions
| getFieldCondition (SelectQuery $query, array $languageSettings, $fieldTableName)
| Returns a field language join condition for the given $languageSettings. More...
Protected Member Functions inherited from eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\SortClauseHandler
| getSortColumnName ($number)
| Returns the quoted sort column name. More...
| getSortTableName ($number, $externalTableName=null)
| Returns the sort table name. More...

## Protected Attributes
| $languageHandler
| $contentTypeHandler
Protected Attributes inherited from eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\SortClauseHandler
| $dbHandler

## Detailed Description

Content locator gateway implementation using the DoctrineDatabase.

Definition at line 22 of file Core/Search/Legacy/Content/Common/Gateway/SortClauseHandler/Field.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\SortClauseHandler\Field::__construct | ( | DatabaseHandler | $dbHandler,
|  | LanguageHandler | $languageHandler,
|  | ContentTypeHandler | $contentTypeHandler
| ) |  |

Creates a new Field sort clause handler.

Parameters

  \eZ\Publish\Core\Persistence\Database\DatabaseHandler | $dbHandler |
  \eZ\Publish\SPI\Persistence\Content\Language\Handler | $languageHandler |
  \eZ\Publish\SPI\Persistence\Content\Type\Handler | $contentTypeHandler |

Definition at line 45 of file Core/Search/Legacy/Content/Common/Gateway/SortClauseHandler/Field.php.

References eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\SortClauseHandler\Field\$contentTypeHandler, eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\SortClauseHandler\$dbHandler, and eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\SortClauseHandler\Field\$languageHandler.

## Member Function Documentation

## ◆ accept()

eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\SortClauseHandler\Field::accept | ( | SortClause | $sortClause | ) |

Check if this sort clause handler accepts to handle the given sort clause.

Parameters

  \eZ\Publish\API\Repository\Values\Content\Query\SortClause | $sortClause |

Returns
  bool

Reimplemented from eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\SortClauseHandler.

Reimplemented in eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\SortClauseHandler\MapLocationDistance.

Definition at line 63 of file Core/Search/Legacy/Content/Common/Gateway/SortClauseHandler/Field.php.

## ◆ applySelect()

eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\SortClauseHandler\Field::applySelect | ( | SelectQuery | $query,
|  | SortClause | $sortClause,
|  |  | $number
| ) |  |

Apply selects to the query.

Returns the name of the (aliased) column, which information should be used for sorting.

Parameters

  \eZ\Publish\Core\Persistence\Database\SelectQuery | $query |
  \eZ\Publish\API\Repository\Values\Content\Query\SortClause | $sortClause |
  int | $number |

Returns
  string

Reimplemented from eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\SortClauseHandler.

Definition at line 80 of file Core/Search/Legacy/Content/Common/Gateway/SortClauseHandler/Field.php.

References eZ\Publish\Core\Persistence\Database\SelectQuery\alias(), and eZ\Publish\Core\Persistence\Database\SelectQuery\select().

## ◆ getFieldCondition()

eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\SortClauseHandler\Field::getFieldCondition | ( | SelectQuery | $query,
|  | array | $languageSettings,
|  |  | $fieldTableName
| ) |  |
| protected

Returns a field language join condition for the given $languageSettings.

Parameters

  \eZ\Publish\Core\Persistence\Database\SelectQuery | $query |
  array | $languageSettings |
  string | $fieldTableName |

Returns
  string

Definition at line 187 of file Core/Search/Legacy/Content/Common/Gateway/SortClauseHandler/Field.php.

References eZ\Publish\Core\Persistence\Database\Query\bindValue().

## Member Data Documentation

## ◆ $contentTypeHandler

eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\SortClauseHandler\Field::$contentTypeHandler
| protected

Definition at line 36 of file Core/Search/Legacy/Content/Common/Gateway/SortClauseHandler/Field.php.

Referenced by eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\SortClauseHandler\Field\__construct().

## ◆ $languageHandler

eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\SortClauseHandler\Field::$languageHandler
| protected

Definition at line 29 of file Core/Search/Legacy/Content/Common/Gateway/SortClauseHandler/Field.php.

Referenced by eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\SortClauseHandler\Field\__construct().

The documentation for this class was generated from the following file:

- Core/Search/Legacy/Content/Common/Gateway/SortClauseHandler/Field.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.